from _typeshed import Incomplete
from langchain_core.tools import BaseTool as BaseTool

BOSA_MODULES: Incomplete

def create_bosa_tools(app_name: str) -> list[BaseTool]:
    """Create tools for BOSA connector.

    Args:
        app_name: Name of the BOSA connector.

    Returns:
        List of tools generated by BOSAConnectorToolGenerator.
    """

class LazyBosaToolsDict(dict):
    """Lazy dictionary for BOSA tools."""
    def __missing__(self, app):
        """When a key is missing, create the tools and store them in the dictionary.

        Args:
            app: Name of the BOSA connector.

        Returns:
            List of tools generated by BOSAConnectorToolGenerator.
        """

BOSA_AUTOMATED_TOOLS: dict[str, list[BaseTool]]
